Skip to main content
POST
/
api
/
v4
/
mining
/
payout-destination
Get Payout Destination
curl --request POST \
  --url https://whitebit.com/api/v4/mining/payout-destination \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "accountName": "my_miner_01"
}
'
{
  "payoutDestination": "main_balance",
  "externalAddress": null
}

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
accountName
string
required

Mining pool account name

Example:

"my_miner_01"

Response

Successful response

payoutDestination
enum<string>

Payout destination type

Available options:
main_balance,
external_address
externalAddress
string | null

External BTC address (null if destination is main_balance)